ALAS-2011-020


Amazon Linux AMI Security Advisory: ALAS-2011-20
Advisory Release Date: 2014-09-14 14:42 Pacific
Severity: Important

Issue Overview:

Multiple input validation flaws were found in the way FreeType processed CID-keyed fonts. If a specially-crafted font file was loaded by an application linked against FreeType, it could cause the application to crash or, potentially, execute arbitrary code with the privileges of the user running the application.


Affected Packages:

freetype


Issue Correction:
Run yum update freetype to update your system.

New Packages:
i686:
    freetype-demos-2.3.11-6.11.amzn1.i686
    freetype-debuginfo-2.3.11-6.11.amzn1.i686
    freetype-devel-2.3.11-6.11.amzn1.i686
    freetype-2.3.11-6.11.amzn1.i686

src:
    freetype-2.3.11-6.11.amzn1.src

x86_64:
    freetype-debuginfo-2.3.11-6.11.amzn1.x86_64
    freetype-demos-2.3.11-6.11.amzn1.x86_64
    freetype-devel-2.3.11-6.11.amzn1.x86_64
    freetype-2.3.11-6.11.amzn1.x86_64